>From aaea1b768923ef7453207590fd250cc0e7f739b9 Mon Sep 17 00:00:00 2001
From: Michael Stapelberg <stapelberg@debian.org>
Date: Sat, 26 Apr 2014 11:20:52 +0200
Subject: [PATCH] Generate /etc/machine-id if it does not yet exist.

---
 debian/postinst.in | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/debian/postinst.in b/debian/postinst.in
index 778a698..c82f941 100644
--- a/debian/postinst.in
+++ b/debian/postinst.in
@@ -122,3 +122,9 @@ if dpkg --compare-versions "$2" lt-nl "6.10"; then
   install_from_default /usr/share/base-files/staff-group-for-usr-local \
     /etc/staff-group-for-usr-local
 fi
+
+# D-Bus, systemd and other programs want a static machine identifier in
+# /etc/machine-id, so create one if it does not exist.
+if [ ! -e /etc/machine-id ] && [ -e /proc/sys/kernel/random/uuid ]; then
+  sed 's/-//g' /proc/sys/kernel/random/uuid > /etc/machine-id
+fi
-- 
1.9.0

